Retrieve Roll-up Field Recalculation Status
Determine whether a Roll-up field recalculation is currently running. Learn more about Roll-up fields in Vault Help
GET
/api/{version}/vobjects/{object_name}/actions/recalculaterollupsHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{object_name} | The name of the object for which to check the status of a Roll-up field recalculation. |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v25.2/vobjects/product__v/actions/recalculaterollupsResponse
Section link for Response{
"responseStatus": "SUCCESS",
"data": {
"status": "RUNNING"
}
}Response Details
Section link for Response DetailsOn SUCCESS, the response specifies the status of the Roll-up field recalculation as either RUNNING or NOT_RUNNING.